OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.PixelTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXPixelTexture :: MonadIO m => m Bool
- gl_SGIX_pixel_texture :: Bool
- pattern GL_PIXEL_TEX_GEN_MODE_SGIX :: GLenum
- pattern GL_PIXEL_TEX_GEN_SGIX :: GLenum
- glPixelTexGenSGIX :: MonadIO m => GLenum -> m ()

# Extension Support

glGetSGIXPixelTexture :: MonadIO m => m Bool Source #

Is the SGIX_pixel_texture extension supported?

gl_SGIX_pixel_texture :: Bool Source #

Is the SGIX_pixel_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXPixelTexture` in those cases instead.

# Enums

pattern GL_PIXEL_TEX_GEN_MODE_SGIX :: GLenum Source #

pattern GL_PIXEL_TEX_GEN_SGIX :: GLenum Source #

# Functions

glPixelTexGenSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PixelTexGenModeSGIX.
-> m () |